-- VMware API Additional Metrics


INSERT INTO ${owner}.METRIC_DIM VALUES(METRIC_DIM_ID_SEQ.NEXTVAL,'VMWARE_API','virtualmachine','Server','DATASTORE_VM_USED_GB','disk.used.latest/(1024*1024)','DATASTORE_VM_USED_GB','DATASTORE_VM_USED_GB','Data Store VM Used','gigabytes',0)
/

INSERT INTO ${owner}.METRIC_DIM VALUES(METRIC_DIM_ID_SEQ.NEXTVAL,'VMWARE_API','virtualmachine','Server','DATASTORE_VM_PROVISIONED_GB','disk.provisioned.latest/(1024*1024)','DATASTORE_VM_PROVISIONED_GB','DATASTORE_VM_PROVISIONED_GB','Data Store Provisioned Space','gigabytes',0)
/

insert into ${owner}.metric_dim values(metric_dim_id_seq.nextval,'VMWARE_API','virtualmachine','Server','DATASTORE_VM_UNSHARED_GB','disk.unshared.latest/(1024*1024)','DATASTORE_VM_UNSHARED_GB','DATASTORE_VM_UNSHARED_GB','Data Store UnShared Space','gigabytes',0)

/


-- VMware Chunk size changes

 INSERT INTO ${owner}.source_params_config(param_id, name, description, type_id) 
 SELECT source_params_config_seq.nextval, 'chunk_size', 'Chunk Size', (SELECT type_id FROM ${owner}.SOURCE_TYPE_CONFIG WHERE type ='VMWARE_API') FROM dual
 WHERE NOT EXISTS (SELECT 1 FROM ${owner}.source_params_config WHERE name = 'chunk_size' AND type_id = (SELECT type_id FROM ${owner}.SOURCE_TYPE_CONFIG WHERE type ='VMWARE_API'))
 /
 
 INSERT INTO ${owner}.SOURCE_PARAMS_CNSTRT_CONFIG ( PARAM_ID, VALUE,INCLUDE_FLAG )
 SELECT (SELECT param_id FROM ${owner}.source_params_config WHERE type_id = (SELECT type_id FROM ${owner}.SOURCE_TYPE_CONFIG WHERE type ='VMWARE_API') AND name = 'chunk_size'), '3', '1' FROM dual
 /
 
 INSERT INTO ${owner}.SOURCE_PARAMS_CNSTRT_CONFIG ( PARAM_ID, VALUE,INCLUDE_FLAG )
 SELECT (SELECT param_id FROM ${owner}.source_params_config WHERE type_id = (SELECT type_id FROM ${owner}.SOURCE_TYPE_CONFIG WHERE type ='VMWARE_API') AND name = 'chunk_size'), '50', '1' FROM dual 
 /

 
 -- 5 Min. Granularity
 
 INSERT INTO ${owner}.SOURCE_PARAMS_CNSTRT_CONFIG ( PARAM_ID, VALUE,INCLUDE_FLAG )
 SELECT (SELECT param_id FROM ${owner}.source_params_config WHERE type_id = (SELECT type_id FROM ${owner}.SOURCE_TYPE_CONFIG WHERE type ='VMWARE_API') AND name = 'granularity'), '5 mins', '1' FROM dual
 WHERE NOT EXISTS (SELECT 1 FROM ${owner}.SOURCE_PARAMS_CNSTRT_CONFIG WHERE param_id= (SELECT param_id FROM ${owner}.source_params_config WHERE type_id = (SELECT type_id FROM ${owner}.SOURCE_TYPE_CONFIG WHERE type ='VMWARE_API') AND name = 'granularity') and value ='5 mins')
 /

 commit
 /